#1 - 11/01/2012 07:40 PM - Greg Shah

- Target version set to Milestone 18

Recently I took a support call to help a customer understand how to run the com/goldencode/p2j/util/LoadCert program.

Neither the Javadoc (in LoadCert.java) nor the P2J Runtime Installation, Configuration and Administration Guide were helpful in solving this problem. 

In the end I looked at the source code and answered questions/gave advice based on that.  The following problems occurred:

1. The syntax diagram was not helpful.  It did not clearly explain that when a bootstrap configuration file is given as the first parm, that there MUST be

a 2nd parm for the password.  It did not explain that the password is for decrypting the bootstrap config (if it is encrypted) and if you have a plain-text

(unencrypted) bootstrap config, that you must pass "-" as the "password".  This means "I have no password".  If you don't put a bootstrap config file

name, then LoadCert will search for an unencrypted standard_server.xml.  After that you must put in the 2 final parameters (for the path and the cert).

These need to be documented more carefully too.

2. It is important to note that this can only be run when the server is not up, as it is going to directly edit the directory file.

3. If the customer's directory XML has a custom schema, you must include the converted application jar in the classpath so that the schema

extensions can be loaded from there.  This schema extension file is loaded from the root of the jar and is named dir_schema_ext.xml.  If this is not

specified then the directory service will fail to initialize because it won't be able to parse the directory.

4. Make sure there are some useful examples.  Examples would have helped.

#2 - 11/02/2012 02:25 PM - Greg Shah

In addition to the above, make sure that same improvements made to the JavaDoc are also displayed in the syntax diagram from the command line.

#3 - 11/16/2016 01:31 PM - Greg Shah
- Target version changed from Milestone 18 to Revise Documentation and Training Materials
